package example.codes;

import java.util.List;

import com.silanis.esl.sdk.*;

public class GetGroupSummaries {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(MyInfo.API_KEY_SANDBOX, MyInfo.API_URL_SANDBOX);
		
		List<GroupSummary> groupSummary = eslClient.getGroupService().getGroupSummaries();
		
		for (GroupSummary groupSumm : groupSummary){
			System.out.format("Group name: %s, Id: %s, Group Email: %s\n", groupSumm.getName(), groupSumm.getId(), groupSumm.getEmail());
		}

	}

}
